Page MenuHomePhabricator

4.- Linting
Closed, ResolvedPublic3 Story Points

Description

Acceptance Criteria

  • create eslint config and make sure that it runs
  • create stylelint config and make sure that it runs

Info

Details

Related Gerrit Patches:
wikibase/termbox : masterAdjustments to eslintrc
mediawiki/extensions/Wikibase : masterIntroduces lintrules
mediawiki/extensions/Wikibase : masterbridge: also apply eslint to own config file

Event Timeline

darthmon_wmde set the point value for this task to 3.
Pablo-WMDE updated the task description. (Show Details)Jun 18 2019, 8:17 AM
Pablo-WMDE updated the task description. (Show Details)Jun 19 2019, 2:42 PM

Change 518027 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Ajustments to eslintrc

https://gerrit.wikimedia.org/r/518027

Change 518036 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] Introduces lintrules

https://gerrit.wikimedia.org/r/518036

Change 518246 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: also apply eslint to own config file

https://gerrit.wikimedia.org/r/518246

Change 518246 abandoned by Lucas Werkmeister (WMDE):
bridge: also apply eslint to own config file

Reason:
squashed into parent change

https://gerrit.wikimedia.org/r/518246

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:23 PM

Change 518036 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduces lintrules

https://gerrit.wikimedia.org/r/518036

Change 518027 merged by jenkins-bot:
[wikibase/termbox@master] Adjustments to eslintrc

https://gerrit.wikimedia.org/r/518027

Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 24 2019, 12:58 PM
Lucas_Werkmeister_WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-0 board.

and make sure that it runs

The “runs in CI” part is still open, but I think that’s covered by T226370: 3.5: Enable CI for testing and linting. Let’s close this one.